Subject: Re: [bug#47539] Add github-cli

From: Xinglu Chen <[email-masked]>
Date: Fri, 16 Jul 2021 19:20:08 +0200

On Thu, Jul 15 2021, Leo Prikler wrote:

> Hi everyone,
>
> Am Montag, den 07.06.2021, 13:19 -0400 schrieb Leo Famulari:
>> > So if A dependes on B which depends on C, and I want to build A,
>> > then C has to be a ‘propagated-input’ for B?  Did I get that right?
>> 
>> Yes, for our go-build-system.
>> 
>> > But if I just want to build B, should C still be a ‘propagated-
>> > input’ for B?
>> 
>> Yes, unless B is only an end-user executable, such as Syncthing.  In
>> that case it doesn't matter if you use inputs or propagated-inputs.
> For context, I think github-cli will probably be fine using inputs
> instead of propagated inputs, but the rest down the chain might need to
> be adjusted.
>
> There has been some time since the last patch was sent and I sadly
> doubt cbaines' patchwork will try to build this package.  Is v3 good to
> go to master?  Should Xinglu send a v4?  @Xinglu, are you still
> interested in merging v3/creating a v4?

A few weeks ago I tried to update ‘github-cli’ to the latest version,
but it required some new packages to be packaged, and I got stuck trying
to package one of them.

I don’t really have much interest in packaging it (well, Go packages in
general) anymore since I rarely interact with GitHub anyway.  Unless
someone else would like to pick it up, I am OK with closing the bug.

Sorry for not following up on this.